{
  pkgs,
  config,
  ...
}: {
  imports = [
    ./bat.nix
    ./bottom.nix
    ./exa.nix
    ./fzf.nix
    ./git.nix
    ./go.nix
    ./gpg.nix
    ./helix.nix
    ./jq.nix
    ./lazygit.nix
    ./nushell.nix
    ./oh-my-posh.nix
    ./ssh.nix
    ./xdg.nix
    ./zoxide.nix
  ];
  home = {
    packages = with pkgs; [
      # Tools
      age
      bitwarden-cli
      duf
      du-dust
      fd
      just
      ripgrep
      usql

      # LSPs
      gopls
      nil

      # Formatters
      alejandra
      gofumpt

      # Flake overlays
      jolheiser.git-age
      tclip
    ];
    activation.report-changes = config.lib.dag.entryAnywhere ''
      ${pkgs.nvd}/bin/nvd --nix-bin-dir=${pkgs.nix}/bin diff $oldGenPath $newGenPath
    '';
    stateVersion = "22.11";
  };

  programs = {home-manager.enable = true;};
}
